package com.ElyStudio.leGaou.models;

import com.google.gson.annotations.SerializedName;

public class QuizHistory {

    private int id;
    private String uId;
    private String quizName;
    private String icon;
    private int color;
    private int totalQuestions;
    private int questionAttempted;
    private int correctAnswers;
    private int wrongAnswers;
    private int entryFee;
    private int prize;
    @SerializedName("UNIX_TIMESTAMP(`date`)")
    private String date;

    public QuizHistory() {
    }

    public QuizHistory(int id, String uId, String quizName, String icon, int color, int totalQuestions, int questionAttempted, int correctAnswers, int wrongAnswers, int entryFee, int prize, String date) {
        this.id = id;
        this.uId = uId;
        this.quizName = quizName;
        this.icon = icon;
        this.color = color;
        this.totalQuestions = totalQuestions;
        this.questionAttempted = questionAttempted;
        this.correctAnswers = correctAnswers;
        this.wrongAnswers = wrongAnswers;
        this.entryFee = entryFee;
        this.prize = prize;
        this.date = date;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getuId() {
        return uId;
    }

    public void setuId(String uId) {
        this.uId = uId;
    }

    public String getQuizName() {
        return quizName;
    }

    public void setQuizName(String quizName) {
        this.quizName = quizName;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public int getColor() {
        return color;
    }

    public void setColor(int color) {
        this.color = color;
    }

    public int getTotalQuestions() {
        return totalQuestions;
    }

    public void setTotalQuestions(int totalQuestions) {
        this.totalQuestions = totalQuestions;
    }

    public int getQuestionAttempted() {
        return questionAttempted;
    }

    public void setQuestionAttempted(int questionAttempted) {
        this.questionAttempted = questionAttempted;
    }

    public int getCorrectAnswers() {
        return correctAnswers;
    }

    public void setCorrectAnswers(int correctAnswers) {
        this.correctAnswers = correctAnswers;
    }

    public int getWrongAnswers() {
        return wrongAnswers;
    }

    public void setWrongAnswers(int wrongAnswers) {
        this.wrongAnswers = wrongAnswers;
    }

    public int getEntryFee() {
        return entryFee;
    }

    public void setEntryFee(int entryFee) {
        this.entryFee = entryFee;
    }

    public int getPrize() {
        return prize;
    }

    public void setPrize(int prize) {
        this.prize = prize;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }
}
